:root, [data-bs-theme=light] {
  --bs-primary: #1F6ED4;
  --bs-primary-rgb: 31,110,212;
  --bs-primary-text-emphasis: #0C2C55;
  --bs-primary-bg-subtle: #D2E2F6;
  --bs-primary-border-subtle: #A5C5EE;
  --bs-secondary: #BC3079;
  --bs-secondary-rgb: 188,48,121;
  --bs-secondary-text-emphasis: #4B1330;
  --bs-secondary-bg-subtle: #F2D6E4;
  --bs-secondary-border-subtle: #E4ACC9;
  --bs-success: #409c7c;
  --bs-success-rgb: 64,156,124;
  --bs-success-text-emphasis: #1A3E32;
  --bs-success-bg-subtle: #D9EBE5;
  --bs-success-border-subtle: #B3D7CB;
  --bs-info: #172793;
  --bs-info-rgb: 23,39,147;
  --bs-info-text-emphasis: #09103B;
  --bs-info-bg-subtle: #D1D4E9;
  --bs-info-border-subtle: #A2A9D4;
  --bs-warning: #bd8c44;
  --bs-warning-rgb: 189,140,68;
  --bs-warning-text-emphasis: #4C381B;
  --bs-warning-bg-subtle: #F2E8DA;
  --bs-warning-border-subtle: #E5D1B4;
  --bs-danger: #f44336;
  --bs-danger-rgb: 244,67,54;
  --bs-danger-text-emphasis: #621B16;
  --bs-danger-bg-subtle: #FDD9D7;
  --bs-danger-border-subtle: #FBB4AF;
  --bs-light: #ECECEC;
  --bs-light-rgb: 236,236,236;
  --bs-light-text-emphasis: #5E5E5E;
  --bs-light-bg-subtle: #FBFBFB;
  --bs-light-border-subtle: #F7F7F7;
  --bs-body-bg: #f7f9fc;
  --bs-body-bg-rgb: 247,249,252;
  --bs-secondary-bg: #FFFFFF;
  --bs-secondary-bg-rgb: 255,255,255;
  --bs-tertiary-bg: #e4ecf8;
  --bs-tertiary-bg-rgb: 228,236,248;
  --bs-link-color: #BC3079;
  --bs-link-color-rgb: 188,48,121;
  --bs-link-hover-color: #8b2058;
  --bs-link-hover-color-rgb: 139,32,88;
}

.btn-primary {
  --bs-btn-color: #fff;
  --bs-btn-bg: #1F6ED4;
  --bs-btn-border-color: #1F6ED4;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #1A5EB4;
  --bs-btn-hover-border-color: #1958AA;
  --bs-btn-focus-shadow-rgb: 221,233,249;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #1958AA;
  --bs-btn-active-border-color: #17539F;
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #1F6ED4;
  --bs-btn-disabled-border-color: #1F6ED4;
}

.btn-outline-primary {
  --bs-btn-color: #1F6ED4;
  --bs-btn-border-color: #1F6ED4;
  --bs-btn-focus-shadow-rgb: 31,110,212;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #1F6ED4;
  --bs-btn-hover-border-color: #1F6ED4;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #1F6ED4;
  --bs-btn-active-border-color: #1F6ED4;
  --bs-btn-disabled-color: #1F6ED4;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #1F6ED4;
}

.btn-secondary {
  --bs-btn-color: #fff;
  --bs-btn-bg: #BC3079;
  --bs-btn-border-color: #BC3079;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #A02967;
  --bs-btn-hover-border-color: #962661;
  --bs-btn-focus-shadow-rgb: 245,224,235;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #962661;
  --bs-btn-active-border-color: #8D245B;
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #BC3079;
  --bs-btn-disabled-border-color: #BC3079;
}

.btn-outline-secondary {
  --bs-btn-color: #BC3079;
  --bs-btn-border-color: #BC3079;
  --bs-btn-focus-shadow-rgb: 188,48,121;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #BC3079;
  --bs-btn-hover-border-color: #BC3079;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #BC3079;
  --bs-btn-active-border-color: #BC3079;
  --bs-btn-disabled-color: #BC3079;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #BC3079;
}

.btn-success {
  --bs-btn-color: #000000;
  --bs-btn-bg: #409c7c;
  --bs-btn-border-color: #409c7c;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #5DAB90;
  --bs-btn-hover-border-color: #53A689;
  --bs-btn-focus-shadow-rgb: 10,23,19;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #66B096;
  --bs-btn-active-border-color: #53A689;
  --bs-btn-disabled-color: #000000;
  --bs-btn-disabled-bg: #409c7c;
  --bs-btn-disabled-border-color: #409c7c;
}

.btn-outline-success {
  --bs-btn-color: #409c7c;
  --bs-btn-border-color: #409c7c;
  --bs-btn-focus-shadow-rgb: 64,156,124;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #409c7c;
  --bs-btn-hover-border-color: #409c7c;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #409c7c;
  --bs-btn-active-border-color: #409c7c;
  --bs-btn-disabled-color: #409c7c;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #409c7c;
}

.btn-info {
  --bs-btn-color: #fff;
  --bs-btn-bg: #172793;
  --bs-btn-border-color: #172793;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #14217D;
  --bs-btn-hover-border-color: #121F76;
  --bs-btn-focus-shadow-rgb: 220,223,239;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #121F76;
  --bs-btn-active-border-color: #111D6E;
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #172793;
  --bs-btn-disabled-border-color: #172793;
}

.btn-outline-info {
  --bs-btn-color: #172793;
  --bs-btn-border-color: #172793;
  --bs-btn-focus-shadow-rgb: 23,39,147;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #172793;
  --bs-btn-hover-border-color: #172793;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #172793;
  --bs-btn-active-border-color: #172793;
  --bs-btn-disabled-color: #172793;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #172793;
}

.btn-warning {
  --bs-btn-color: #000000;
  --bs-btn-bg: #bd8c44;
  --bs-btn-border-color: #bd8c44;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #C79D60;
  --bs-btn-hover-border-color: #C49857;
  --bs-btn-focus-shadow-rgb: 28,21,10;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #CAA369;
  --bs-btn-active-border-color: #C49857;
  --bs-btn-disabled-color: #000000;
  --bs-btn-disabled-bg: #bd8c44;
  --bs-btn-disabled-border-color: #bd8c44;
}

.btn-outline-warning {
  --bs-btn-color: #bd8c44;
  --bs-btn-border-color: #bd8c44;
  --bs-btn-focus-shadow-rgb: 189,140,68;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #bd8c44;
  --bs-btn-hover-border-color: #bd8c44;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #bd8c44;
  --bs-btn-active-border-color: #bd8c44;
  --bs-btn-disabled-color: #bd8c44;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #bd8c44;
}

.btn-danger {
  --bs-btn-color: #000000;
  --bs-btn-bg: #f44336;
  --bs-btn-border-color: #f44336;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #F65F54;
  --bs-btn-hover-border-color: #F5564A;
  --bs-btn-focus-shadow-rgb: 37,10,8;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #F6695E;
  --bs-btn-active-border-color: #F5564A;
  --bs-btn-disabled-color: #000000;
  --bs-btn-disabled-bg: #f44336;
  --bs-btn-disabled-border-color: #f44336;
}

.btn-outline-danger {
  --bs-btn-color: #f44336;
  --bs-btn-border-color: #f44336;
  --bs-btn-focus-shadow-rgb: 244,67,54;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #f44336;
  --bs-btn-hover-border-color: #f44336;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #f44336;
  --bs-btn-active-border-color: #f44336;
  --bs-btn-disabled-color: #f44336;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #f44336;
}

.btn-light {
  --bs-btn-color: #000000;
  --bs-btn-bg: #ECECEC;
  --bs-btn-border-color: #ECECEC;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #C9C9C9;
  --bs-btn-hover-border-color: #BDBDBD;
  --bs-btn-focus-shadow-rgb: 35,35,35;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #BDBDBD;
  --bs-btn-active-border-color: #B1B1B1;
  --bs-btn-disabled-color: #000000;
  --bs-btn-disabled-bg: #ECECEC;
  --bs-btn-disabled-border-color: #ECECEC;
}

.btn-outline-light {
  --bs-btn-color: #ECECEC;
  --bs-btn-border-color: #ECECEC;
  --bs-btn-focus-shadow-rgb: 236,236,236;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #ECECEC;
  --bs-btn-hover-border-color: #ECECEC;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #ECECEC;
  --bs-btn-active-border-color: #ECECEC;
  --bs-btn-disabled-color: #ECECEC;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #ECECEC;
}

[data-bs-theme=dark] {
  --bs-primary: #1f6ed4;
  --bs-primary-rgb: 31,110,212;
  --bs-primary-text-emphasis: #79A8E5;
  --bs-primary-bg-subtle: #06162A;
  --bs-primary-border-subtle: #13427F;
  --bs-body-bg: #0b1220;
  --bs-body-bg-rgb: 11,18,32;
  --bs-secondary-bg: #0f1a2e;
  --bs-secondary-bg-rgb: 15,26,46;
  --bs-tertiary-bg: #1a2e52;
  --bs-tertiary-bg-rgb: 26,46,82;
}

[data-bs-theme=dark] .btn-primary, .btn-primary[data-bs-theme=dark] {
  --bs-btn-color: #fff;
  --bs-btn-bg: #1f6ed4;
  --bs-btn-border-color: #1f6ed4;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #1A5EB4;
  --bs-btn-hover-border-color: #1958AA;
  --bs-btn-focus-shadow-rgb: 221,233,249;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #1958AA;
  --bs-btn-active-border-color: #17539F;
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #1f6ed4;
  --bs-btn-disabled-border-color: #1f6ed4;
}

[data-bs-theme=dark] .btn-outline-primary, .btn-outline-primary[data-bs-theme=dark] {
  --bs-btn-color: #1f6ed4;
  --bs-btn-border-color: #1f6ed4;
  --bs-btn-focus-shadow-rgb: 31,110,212;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #1f6ed4;
  --bs-btn-hover-border-color: #1f6ed4;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #1f6ed4;
  --bs-btn-active-border-color: #1f6ed4;
  --bs-btn-disabled-color: #1f6ed4;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #1f6ed4;
}

